Login
Newsletter
Werbung

Sicherheit: Ausführen beliebigen Codes in awstats
Aktuelle Meldungen Distributionen
Name: Ausführen beliebigen Codes in awstats
ID: USN-167-1
Distribution: Ubuntu
Plattformen: Ubuntu 5.04
Datum: Fr, 12. August 2005, 13:00
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1527
Applikationen: awstats

Originalnachricht

--===============2113855734=	protocol="application/pgp-signature";
boundary="8t9RHnE3ZwKMSgU+"
Content-Disposition: inline


--8t9RHnE3ZwKMSgU+
Content-Disposition: inline

===========================================================
Ubuntu Security Notice USN-167-1 August 11, 2005
awstats vulnerability
CAN-2005-1527
===========================================================

A security issue affects the following Ubuntu releases:

Ubuntu 5.04 (Hoary Hedgehog)

The following packages are affected:

awstats

The problem can be corrected by upgrading the affected package to
version 6.3-1ubuntu0.1. In general, a standard system upgrade is
sufficient to effect the necessary changes.

Details follow:

Peter Vreugdenhil discovered a command injection vulnerability in
AWStats. As part of the statistics reporting function, AWStats
displays information about the most common referrer values that caused
users to visit the website. Referer URLs could be crafted in a way
that they contained arbitrary Perl code which would have been executed
with the privileges of the web server as soon as some user visited the
referrer statistics page.


Source archives:

awstats_6.3-1ubuntu0.1.diff.gz
Size/MD5: 24959 f6170f04b4fd207198e9dc196ee75e4f
awstats_6.3-1ubuntu0.1.dsc
Size/MD5: 595 5d41b190ad3cb0de8df1269026a08be7
awstats_6.3.orig.tar.gz
Size/MD5: 938794 edb73007530a5800d53b9f1f90c88053

Architecture independent packages:

awstats_6.3-1ubuntu0.1_all.deb
Size/MD5: 726224 5a22e9eb2c651f1815dc9929bef53496



--8t9RHnE3ZwKMSgU+
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC+8ZtDecnbV4Fd/IRAqfzAKCb2l6goYqk0bLCu+jCGq2vEgx8HwCg9GI+
E3q8sDQBUD9ohLWa7Yrq0MI=
=Vt3k
-----END PGP SIGNATURE-----

--8t9RHnE3ZwKMSgU+--


--===============2113855734=MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

--
ubuntu-security-announce mailing list
ubuntu-security-announce@lists.ubuntu.com
http://lists.ubuntu.com/mailman/listinfo/ubuntu-security-announce



--===============2113855734==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung